Name:           libdbusmenu
Version:        16.04.0
Release:        10
Summary:        Pass a menu structure across DBus
License:        LGPLv3 or LGPLv2 and GPLv3
URL:            https://launchpad.net/libdbusmenu
Source0:        https://launchpad.net/libdbusmenu/%{ubuntu_release}/%{version}/+download/%{name}-%{version}.tar.gz

Patch0:  0001-libdbusmenu-add-patch-to-modify-build-err.patch

BuildRequires:  atk-devel autoconf automake gettext glibc-devel gnome-common intltool libtool libxslt
BuildRequires:  pkgconfig pkgconfig(atk) pkgconfig(gio-2.0) >= 2.35.4 pkgconfig(gio-unix-2.0) >= 2.24
BuildRequires:  pkgconfig(glib-2.0) >= 2.35.4 pkgconfig(gobject-introspection-1.0) >= 0.10
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.16 pkgconfig(gtk+-3.0) >= 2.91 pkgconfig(json-glib-1.0) >= 0.13.4
BuildRequires:  pkgconfig(x11) >= 1.3 python2 vala-devel vala-tools
%global with_tests 0
%if 0%{?with_tests}
BuildRequires:  dbus-test-runner valgrind
%endif
Provides:       %{name}-tools = %{version}-%{release}
Obsoletes:      %{name}-tools < %{version}-%{release}

%description
A small little library that was created by pulling out some comon code out of indicator-applet.
It passes a menu structure across DBus so that a program can create a menu simply without worrying
about how it is displayed on the other side of the bus.

%package devel
Summary:    Development files for libdbusmenu
Requires:   %{name} = %{version}-%{release} dbus-glib-devel

%description devel
This package contains libraries and header files for developing applications.

%package gtk2
Summary:    GTK+2 version for a menu structure across DBus
Requires:   %{name} = %{version}-%{release}

%description gtk2
Shared libraries for the gtk2 version.

%package gtk2-devel
Summary:    Development files for GTK+2 version
Requires:   %{name} = %{version}-%{release} %{name}-gtk2 = %{version}-%{release}
Requires:   gtk2-devel dbus-glib-devel

%description gtk2-devel
This package contains libraries and header files for developing applications for gtk2 version.

%package gtk3
Summary:    GTK+3 version for a menu structure across DBus
Requires:   %{name} = %{version}-%{release}

%description gtk3
Shared libraries for the gtk3 version.

%package gtk3-devel
Summary:    Development files for GTK+3 version
Requires:   %{name} = %{version}-%{release} %{name}-gtk3 = %{version}-%{release}
Requires:   gtk3-devel dbus-glib-devel

%description gtk3-devel
This package contains libraries and header files for developing applications for gtk3 version.

%package jsonloader
Summary:    Development files for test lib
Requires:   %{name} = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description jsonloader
Test library for libdbusmenu.

%package jsonloader-devel
Summary:    Test lib development files for libdbusmenu.
Requires:   %{name}-jsonloader = %{version}-%{release} %{name} = %{version}-%{release}

%description jsonloader-devel
This package contains libraries and header files for using libdbusmenu-jsonloader.

%package    help
Summary:    Help document files for libdbusmenu
BuildArch:  noarch

%description help
The help for libdbusmenu to use.

%prep
%autosetup -c -n %{name}-%{version} -p1
cp -dpR libdbusmenu-%{version}/{README,COPYING,COPYING.2.1,COPYING-GPL3,AUTHORS,ChangeLog} .
cp -dpR libdbusmenu-%{version} libdbusmenu-gtk3-%{version}


%build
cd %{name}-gtk3-%{version}
sed -i -e 's@^#!.*python$@#!/usr/bin/python2@' tools/dbusmenu-bench
autoreconf -vif
%configure --disable-static --disable-dumper --with-gtk=3
%make_build

cd ../%{name}-%{version}
sed -i -e 's@^#!.*python$@#!/usr/bin/python2@' tools/dbusmenu-bench
autoreconf -vif
%configure --disable-static --disable-dumper --with-gtk=2
%make_build
cd -

%install
cd %{name}-gtk3-%{version}
%make_install
%delete_la

cd ../%{name}-%{version}
%make_install
%delete_la
cd -
find %{buildroot}%{_docdir} -name "libdbusmenu" |xargs -I {} rm -rf {};

%if 0%{?with_tests}
%check
cd %{name}-gtk3-%{version}
make check V=1

cd ../%{name}-%{version}
make check V=1
cd -
%endif

%post
/sbin/ldconfig
%post gtk2
/sbin/ldconfig
%post gtk3
/sbin/ldconfig
%post jsonloader
/sbin/ldconfig

%postun
/sbin/ldconfig
%postun gtk2
/sbin/ldconfig
%postun gtk3
/sbin/ldconfig
%postun jsonloader
/sbin/ldconfig

%files
%license COPYING COPYING.2.1 COPYING-GPL3
%dir %{_datadir}/%{name}/json/
%{_libdir}/libdbusmenu-glib.so.*
%{_libdir}/girepository-1.0/Dbusmenu-0.4.typelib
%{_libexecdir}/dbusmenu-*
%{_datadir}/%{name}/json/test-gtk-label.json

%files devel
%doc %{name}-%{version}/tests/glib-server-nomenu.c
%dir %{_includedir}/libdbusmenu-glib-0.4/libdbusmenu-glib/
%{_includedir}/libdbusmenu-glib-0.4/libdbusmenu-glib/*.h
%{_libdir}/libdbusmenu-glib.so
%{_libdir}/pkgconfig/dbusmenu-glib-0.4.pc
%{_datadir}/gir-1.0/Dbusmenu-0.4.gir
%{_datadir}/vala/vapi/Dbusmenu-0.4.vapi

%files gtk2
%{_libdir}/libdbusmenu-gtk.so.*
%{_libdir}/girepository-1.0/DbusmenuGtk-0.4.typelib

%files gtk2-devel
%dir %{_includedir}/libdbusmenu-gtk-0.4/libdbusmenu-gtk
%{_includedir}/libdbusmenu-gtk-0.4/libdbusmenu-gtk/*.h
%{_libdir}/libdbusmenu-gtk.so
%{_libdir}/pkgconfig/dbusmenu-gtk-0.4.pc
%{_datadir}/gir-1.0/DbusmenuGtk-0.4.gir
%{_datadir}/vala/vapi/DbusmenuGtk-0.4.vapi

%files gtk3
%{_libdir}/libdbusmenu-gtk3.so.*
%{_libdir}/girepository-1.0/DbusmenuGtk3-0.4.typelib

%files gtk3-devel
%dir %{_includedir}/libdbusmenu-gtk3-0.4/libdbusmenu-gtk
%{_includedir}/libdbusmenu-gtk3-0.4/libdbusmenu-gtk/*.h
%{_libdir}/libdbusmenu-gtk3.so
%{_libdir}/pkgconfig/dbusmenu-gtk3-0.4.pc
%{_datadir}/gir-1.0/DbusmenuGtk3-0.4.gir
%{_datadir}/vala/vapi/DbusmenuGtk3-0.4.vapi

%files jsonloader
%{_libdir}/libdbusmenu-jsonloader.so.*

%files jsonloader-devel
%dir %{_includedir}/libdbusmenu-glib-0.4/libdbusmenu-jsonloader/
%{_includedir}/libdbusmenu-glib-0.4/libdbusmenu-jsonloader/*.h
%{_libdir}/libdbusmenu-jsonloader.so
%{_libdir}/pkgconfig/dbusmenu-jsonloader-0.4.pc

%files help
%doc README AUTHORS ChangeLog
%doc %{name}-%{version}/tools/README.dbusmenu-bench
%dir %{_datadir}/gtk-doc/
%{_datadir}/gtk-doc/*

%changelog
* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 16.04.0-10
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add patch to modify build err

* Sat Dec 21 2019 wangyiru <wangyiru1@huawei.com> -  16.04.0-9
- Package init

